Loading...
Searching...
No Matches
Ogre::Segment Class Reference

3D Line Segment class for intersection testing in Ogre3D More...

`#include <OgreSegment.h>`

## Public Member Functions

| Segment ()
| Segment (const Vector3 &, const Vector3 &, Real)
Real | distance (const Segment &otherSegment) const
bool | intersects (const Capsule &) const
void | set (const Vector3 &newOrigin, const Vector3 &newEnd)
void | setEndPoint (const Vector3 &newEndpoint)
void | setOrigin (const Vector3 &newOrigin)
Real | squaredDistance (const Segment &otherSegment) const

## Public Attributes

Vector3 | mDirection
Real | mExtent
Vector3 | mOrigin

## Detailed Description

3D Line Segment class for intersection testing in Ogre3D

Some algorithms based off code from the Wild Magic library by Dave Eberly

## Constructor & Destructor Documentation

## Segment() [1/2]

Ogre::Segment::Segment | ( |  | ) |

Referenced by distance(), and squaredDistance().

## Segment() [2/2]

Ogre::Segment::Segment | ( | const Vector3 & | ,
|  | const Vector3 & | ,
|  | Real | )

## Member Function Documentation

## set()

void Ogre::Segment::set | ( | const Vector3 & | newOrigin,
|  | const Vector3 & | newEnd )

## setOrigin()

void Ogre::Segment::setOrigin | ( | const Vector3 & | newOrigin | ) |

## setEndPoint()

void Ogre::Segment::setEndPoint | ( | const Vector3 & | newEndpoint | ) |

## distance()

Real Ogre::Segment::distance | ( | const Segment & | otherSegment | ) | const

References Segment().

## squaredDistance()

Real Ogre::Segment::squaredDistance | ( | const Segment & | otherSegment | ) | const

References Segment().

## intersects()

bool Ogre::Segment::intersects | ( | const Capsule & |  | ) | const

## Member Data Documentation

## mOrigin

Vector3 Ogre::Segment::mOrigin

## mDirection

Vector3 Ogre::Segment::mDirection

## mExtent

Real Ogre::Segment::mExtent

The documentation for this class was generated from the following file:

- OgreSegment.h